Apache JMeter

## org.apache.jorphan.gui
Class GuiUtils

    java.lang.Object
      org.apache.jorphan.gui.GuiUtils

    public class GuiUtils

extends Object

Constructor Summary
`GuiUtils()`

Method Summary
`static void` `fixSize(TableColumn column, JTable table)` Fix the size of a column according to the header text.
`static JScrollPane` `makeScrollPane(Component comp)` Create a scroll panel that sets its preferred size to its minimum size.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GuiUtils

    public GuiUtils()

Method Detail

### makeScrollPane

    public static JScrollPane makeScrollPane(Component comp)

  Create a scroll panel that sets its preferred size to its minimum size. Explicitly for scroll panes that live inside other scroll panes, or within containers that stretch components to fill the area they exist in. Use this for any component you would put in a scroll pane (such as TextAreas, tables, JLists, etc). It is here for convenience and to avoid duplicate code. JMeter displays best if you follow this custom.

  Parameters:
    `comp` - the component which should be placed inside the scroll pane
  Returns:
    a JScrollPane containing the specified component

### fixSize

    public static void fixSize(TableColumn column,
                               JTable table)

  Fix the size of a column according to the header text.

  Parameters:
    `column` - to be resized
    `table` - containing the column

Apache JMeter

Copyright © 1998-2011 Apache Software Foundation. All Rights Reserved.